MCP Tools Reference: bigtableadmin.googleapis.com

Tool: list_logical_views

List information about all logical views within a specified instance. The request requires the parent field to be set in the format 'projects/{project}/instances/{instance}'. Example: { "parent": "projects/my-project/instances/my-instance" }

The following sample demonstrate how to use curl to invoke the list_logical_views MCP tool.

Curl Request
                  
curl --location 'https://bigtableadmin.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_logical_views",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for BigtableInstanceAdmin.ListLogicalViews.

ListLogicalViewsRequest

JSON representation
{
  "parent": string,
  "pageSize": integer,
  "pageToken": string
}
Fields
parent

string

Required. The unique name of the instance for which the list of logical views is requested. Values are of the form projects/{project}/instances/{instance}.

pageSize

integer

Optional. The maximum number of logical views to return. The service may return fewer than this value

pageToken

string

Optional. A page token, received from a previous ListLogicalViews call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to ListLogicalViews must match the call that provided the page token.

Output Schema

Response message for Bigtable.ListLogicalViews

ListLogicalViewsResponse

JSON representation
{
  "logicalViews": [
    {
      object (LogicalView)
    }
  ],
  "nextPageToken": string
}
Fields
logicalViews[]

object (LogicalView)

The logical views in the instance.

nextPageToken

string

A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

LogicalView

JSON representation
{
  "name": string,
  "query": string,
  "deletionProtection": boolean
}
Fields
name

string

Identifier. The name of the logical view.

query

string

Required. The logical view's select query.

deletionProtection

boolean

Optional. Set to true to make the LogicalView protected against deletion.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ✅